# logstash_plugin – Manage Logstash plugins

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Manages Logstash plugins.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Install plugin with that name.
plugin_bin - | Default: "/usr/share/logstash/bin/logstash-plugin" | Specify logstash-plugin to use for plugin management.
proxy_host - |  | Proxy host to use during plugin installation.
proxy_port - |  | Proxy port to use during plugin installation.

state
-

Choices:
- present ←
- absent

Apply plugin state.

version - |  | Specify plugin Version of the plugin to install. If plugin exists with previous version, it will NOT be updated.

## Examples

    - name: Install Logstash beats input plugin
      logstash_plugin:
        state: present
        name: logstash-input-beats

    - name: Install specific version of a plugin
      logstash_plugin:
        state: present
        name: logstash-input-syslog
        version: '3.2.0'

    - name: Uninstall Logstash plugin
      logstash_plugin:
        state: absent
        name: logstash-filter-multiline

    - name: install Logstash plugin with alternate heap size
      logstash_plugin:
        state: present
        name: logstash-input-beats
      environment:
        LS_JAVA_OPTS: "-Xms256m -Xmx256m"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Loic Blot (@nerzhul)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.